Skip to content

Platforms

All operations require authentication.

4 operationsv2/zimbra/platform
Agent setup

List platformsProduction

GET
/v2/zimbra/platform

Returns the platforms of the account with their current state. Filter them by projectId.

Query parameters

iamTags
object

Filter resources on IAM tags

projectId
stringuuid

Identifier of the project

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200PlatformResponseWithIAM[]successful operation
checksum
read-only
string

Checksum hash in MD5 representation

currentState
read-only
PlatformCurrentState

Object representing platform

currentTasks
read-only
CurrentTask[]

An array containing tasks responses pending on resource extends AsyncResourceBase object

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
stringuuid

Resource identifier in UUID representation

resourceStatus
read-only
ResourceStatusEnum

Current resource status

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
PlatformPutTargetSpec

Object representing platform

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/zimbra/platform \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "checksum": "string", "currentState": { "accountsStatistics": [ { "availableAccountsCount": 0, "configuredAccountsCount": 0, "offer": "PRO" } ], "clusterHostname": "string", "description": "string", "name": "string", "numberOfOrganizations": 0, "quota": 0 }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "name": "string" } }]

Get a platformProduction

GET
/v2/zimbra/platform/{platformId}

Returns the name and description of the platform, its number of organizations, its storage quota per account and its account statistics per offer.

Path parameters

platformId
required
stringuuid

Platform ID

Response

200PlatformResponseWithIAMsuccessful operation
checksum
read-only
string

Checksum hash in MD5 representation

currentState
read-only
PlatformCurrentState

Object representing platform

currentTasks
read-only
CurrentTask[]

An array containing tasks responses pending on resource extends AsyncResourceBase object

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
stringuuid

Resource identifier in UUID representation

resourceStatus
read-only
ResourceStatusEnum

Current resource status

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
PlatformPutTargetSpec

Object representing platform

404objectError 404 response

Example uses platformId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/zimbra/platform/{platformId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "currentState": { "accountsStatistics": [ { "availableAccountsCount": 0, "configuredAccountsCount": 0, "offer": "PRO" } ], "clusterHostname": "string", "description": "string", "name": "string", "numberOfOrganizations": 0, "quota": 0 }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "name": "string" }}

Update a platformProduction

PUT
/v2/zimbra/platform/{platformId}

Updates the name or description of the platform. When set, checksum must match the current checksum of the platform, otherwise the update is rejected.

Path parameters

platformId
required
stringuuid

Platform ID

Request body (required)

checksum
string

Known checksum of the resource, allowing to prevent unwanted side effects

targetSpec
required
PlatformPutTargetSpec

Target platform specification

Response

200PlatformResponsesuccessful operation
checksum
read-only
string

Checksum hash in MD5 representation

currentState
read-only
PlatformCurrentState

Object representing platform

currentTasks
read-only
CurrentTask[]

An array containing tasks responses pending on resource extends AsyncResourceBase object

id
read-only
stringuuid

Resource identifier in UUID representation

resourceStatus
read-only
ResourceStatusEnum

Current resource status

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
PlatformPutTargetSpec

Object representing platform

404objectError 404 response
409objectError 409 response
412objectError 412 response

Example uses platformId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/zimbra/platform/{platformId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "currentState": { "accountsStatistics": [ { "availableAccountsCount": 0, "configuredAccountsCount": 0, "offer": "PRO" } ], "clusterHostname": "string", "description": "string", "name": "string", "numberOfOrganizations": 0, "quota": 0 }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "name": "string" }}

Refresh quota usageProduction

POST
/v2/zimbra/platform/{platformId}/refreshQuotaUsage

Recomputes the quota usage (quota.used and quotaRefreshedAt) of every email account of the platform. The refresh runs asynchronously.

Path parameters

platformId
required
stringuuid

Platform ID

Response

200—successful operation

Example uses platformId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/zimbra/platform/{platformId}/refreshQuotaUsage \
  -H "authorization: Bearer $OVH_TOKEN"